{$I uev3defines.inc}
unit fontstore;
interface
uses pseudolresources,sysutils;

{
 Получает ресурс и сохраняет его во временном каталоге как шрифт
 под указанным именем (name) и расширением (lowercase(valueType))
 с перезаписью (overwrite=true) или нет (overwrite=false)
 Возвращает полное имя файла шрифта.
}

function storeResFont(name:AnsiString; valueType:AnsiString='TTF'; overwrite:boolean=true):AnsiString;
function storeResFont(LR:TPseudoLResource; overwrite:boolean=true):AnsiString;

implementation

function storeResFont(name:AnsiString; valueType:AnsiString='TTF'; overwrite:boolean=true):AnsiString;
 begin
   result:=storeResFont(LRS.Find(name,valueType),overwrite);
 end;

function storeResFont(LR:TPseudoLResource; overwrite:boolean=true):AnsiString;
 var f:text;
 begin
   result:=getTempDir+LR.name+'.'+lowercase(LR.valueType);
   if (not overwrite)and(fileExists(result)) then exit;
   assignFile(f,result);
   rewrite(f);
   write(f,LR.Value);
   closefile(f);
 end;
end.